package com.taauav.admin.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigInteger;
import java.util.Date;

/**
 * 外包人员对象 user_admin
 *
 * @author daixiantong
 * @date 20200521
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserAdmin extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 姓名
     */
    private String realname;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 性别：1男 2女 3保密
     */
    private Integer gender;
    /**
     * 联系方式（手机号码）
     */
    private String mobile;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 河长等级：1一级 2二级 3三级
     */
    private Integer level;
    /**
     * 区划ID
     */
    private BigInteger driverArea;
    /**
     * 职务
     */
    private String duty;
    /**
     * 角色编号
     */
    private String authGroup;
    /**
     * Session标识
     */
    private String token;
    /**
     * 备注
     */
    private String note;
    /**
     * 最近登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastTime;
    /**
     * 登录次数
     */
    private Integer loginNum;
    /**
     * 上次登录IP
     */
    private String lastIp;
    /**
     * 排序
     */
    private Integer sort;
}