package com.taauav.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.vo.LsDriverManagerListVo;
import com.taauav.common.bean.Response;
import com.taauav.common.service.impl.BaseServiceImpl;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.taauav.admin.mapper.FrontUserAdminMapper;
import com.taauav.admin.entity.UserAdmin;
import com.taauav.admin.service.IFrontUserAdminService;

import java.util.ArrayList;
import java.util.List;

/**
 * 外包人员Service业务层处理
 *
 * @author daixiantong
 * @date 20200521
 */
@Service
public class FrontFrontUserAdminServiceImpl extends BaseServiceImpl<FrontUserAdminMapper, UserAdmin> implements IFrontUserAdminService {
    @Autowired
    private Response response;

    /**
     * 获取河长列表
     *
     * @return
     */
    @Override
    public Response getDriverManagerList() {
        // 查询条件
        QueryWrapper<UserAdmin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status", 1);
        queryWrapper.eq("mark", 1);
        queryWrapper.orderByAsc("sort");
        queryWrapper.select("id", "realname");

        // 查询数据
        List<UserAdmin> lsAdminList = baseMapper.selectList(queryWrapper);
        List<LsDriverManagerListVo> driverManagerListVoList = new ArrayList<>();
        if (!lsAdminList.isEmpty()) {
            lsAdminList.forEach(item -> {
                LsDriverManagerListVo driverManagerListVo = new LsDriverManagerListVo();
                // 拷贝属性
                BeanUtils.copyProperties(item, driverManagerListVo);
                driverManagerListVoList.add(driverManagerListVo);
            });
        }
        return response.success(driverManagerListVoList);
    }
}
