package com.taauav.front.vo;

import com.taauav.admin.entity.TauvInspectQuestion;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * 指挥大屏-问题清单 返回结果实体类
 *
 * @author daixiantong
 * @date 2020-05-20
 */
@Data
public class IndexQuestionListVo {
    /**
     * 问题id
     */
    private Integer id;

    /**
     * 问题类型
     */
    private String questionType;

    /**
     * 问题分类
     */
    private Integer category;

    /**
     * 位置
     */
    private String location;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 区属名称
     */
    private String areaName;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态值
     */
    private Integer status;

    /**
     * 状态描述
     */
    private String statusText;

    /**
     * 问题缩略图地址
     */
    private String imgUrl;

    /**
     * 问题原图地址
     */
    private String originUrl;

    /**
     * 状态数组
     *
     * @return
     */
    public Map<String, String> statusList() {
        Map<String, String> map = new HashMap<>();
        map.put("1", "待指派");
        map.put("2", "待处理");
        map.put("3", "已完成");
        return map;
    }
}
